local COLOR_NORMAL  = "|r";

local COLOR_WARNING = "|cFFFF3333";
local COLOR_NOTICE  = "|cFFFFFF66";
local COLOR_TITLE   = "|cFFFF3333";
local COLOR_COMMAND = "|cFFFFFF66";

local MSG_TITLE     = COLOR_TITLE .. "Needja Tracker" .. COLOR_NORMAL;

NT_LOCALE = {
    ["CHAT_MATCH"] = {
        {"(.+) Roll - (.+) for (.+) by (.+)",                                       "RESULT_WIN"},
        {"Everyone passed on: (.+)",                                                "RESULT_PASS"},
        {"You have selected (.+) for: (.+)",                                        "ROLL_YOU"},
        {"(.+) has selected (.+) for: (.+)",                                        "ROLL_PARTY"},
        {"You passed on: (.+)",                                                     "PASS_YOU"},
        {"(.+) passed on: (.+)",                                                    "PASS_PARTY"},
        {"You automatically passed on: (.+) because you cannot loot that item%.",   "PASS_YOU"},
        {"(.+) automatically passed on: (.+) because s?he cannot loot that item%.", "PASS_PARTY"},
        {"You won: (.+)",                                                           "WIN_YOU"},
        {"(.+) won: (.+)",                                                          "WIN_PARTY"},
    },
    ["NEED_MATCH"] = {
        ["Need"]            = "Need",
        ["Greed"]           = "Greed",
        ["Disenchant"]      = "Disenchant",
    },
    ["NEED"] = {
        ["Need"]            = "Need",
        ["Greed"]           = "Greed",
        ["Disenchant"]      = "Disenchant",
        ["Unknown"]         = "Unknown",
    },
    ["MESSAGES"] = {
        ["ROLL_NEED"]       = "%s: " .. COLOR_WARNING .. "%s select %s"     .. COLOR_NORMAL,
        ["WIN_YOU"]         = "%s: " .. COLOR_NOTICE  .. "You won (%s: %s)" .. COLOR_NORMAL,
        ["WIN_PARTY"]       = "%s: " .. COLOR_NOTICE  .. "%s won (%s: %s)"  .. COLOR_NORMAL,
        ["WIN_NEED"]        = "%s: " .. COLOR_WARNING .. "%s won (%s: %s)"  .. COLOR_NORMAL,
        ["PASS_PARTY"]      = "%s: " .. COLOR_NOTICE  .. "Everyone passed"  .. COLOR_NORMAL,

        ["HISTORY_HEADER"]  = MSG_TITLE .. " - Roll history:",
        ["HISTORY_EMPTY"]   = MSG_TITLE .. " - Roll history is empty",

        ["HISTORY_PASS"]    = "  %s. %s: " .. COLOR_NOTICE  .. "-- (Pass)"   .. COLOR_NORMAL,
        ["HISTORY_WIN"]     = "  %s. %s: " .. COLOR_NOTICE  .. "%s (%s: %s)" .. COLOR_NORMAL,
        ["HISTORY_NEED"]    = "  %s. %s: " .. COLOR_WARNING .. "%s (%s: %s)" .. COLOR_NORMAL,

        ["HELP_LINE_1"]     = MSG_TITLE .. " - Command list (" .. COLOR_COMMAND .. "/nt" .. COLOR_NORMAL .. " command):",

        ["HELP_LINE_2"]     = "  " .. COLOR_COMMAND .. "report"  .. COLOR_NORMAL .. " (" .. COLOR_COMMAND .. "party" .. COLOR_NORMAL .. "/" .. COLOR_COMMAND .. "raid" .. COLOR_NORMAL .. ") - roll statistics",
        ["HELP_LINE_3"]     = "  " .. COLOR_COMMAND .. "history" .. COLOR_NORMAL .. " (" .. COLOR_COMMAND .. "party" .. COLOR_NORMAL .. "/" .. COLOR_COMMAND .. "raid" .. COLOR_NORMAL .. ") - roll history",
        ["HELP_LINE_4"]     = "  " .. COLOR_COMMAND .. "clear"   .. COLOR_NORMAL .. " - clear statistics",
    },
}
